package dnd.event;

import java.awt.event.ActionEvent;
import java.io.IOException;
import java.net.MalformedURLException;
import javax.swing.AbstractAction;
import javax.swing.Icon;
import javax.swing.ImageIcon;

/**
 *
 * @author l-ectron-x
 */
public class PopupAction extends AbstractAction {

    private static final Icon ICON = new ImageIcon(PopupAction.class.getResource("../icon/transition-in-one-direction-22.png"));
    private final PopupListener pl;

    public PopupAction(PopupListener pl) throws MalformedURLException, IOException {
        this(pl, null);
    }

    public PopupAction(PopupListener pl, String text) throws MalformedURLException, IOException {
        super(text, ICON);
        this.pl = pl;
        putValue(SHORT_DESCRIPTION, "Unverknpfte Bauteile anzeigen");
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        pl.showPopup();
    }
}
